> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Identity’s Integration

> Retrieve the current authentication details and connection status of an Identity’s integration, e.g. LinkedIn.



## OpenAPI

````yaml v1/api/business.json get /identities/{identity_uid}/integrations/{integration}
openapi: 3.1.0
info:
  title: ED's Public API
  description: ED's Public API
  version: 26.622.88
servers:
  - url: https://api.edges.run/v1/
security:
  - APIKeyHeader: []
paths:
  /identities/{identity_uid}/integrations/{integration}:
    get:
      tags:
        - Core
      summary: >-
        Retrieve the current authentication details and connection status of a
        identity's integration, e.g. LinkedIn.
      description: Get a Identity's Integration
      operationId: get_identities_integration
      parameters:
        - name: identity_uid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Identity Uid
        - name: integration
          in: path
          required: true
          schema:
            type: string
            title: Integration
      responses:
        '200':
          description: >-
            Successfully retrieved the account linked to the specified identity
            and integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_AccountPublicModel_'
              example:
                setup_source: API
                auth_method: BASIC
                is_shared: false
                name: John Doe's Example Integration Account
                uid: 123e4567-e89b-12d3-a456-426614174000
                integration_permalink: example-integration
                created_at: '2023-10-01T12:00:00Z'
                level: Classic
                identity_uid: 5678e456-e89b-12d3-a456-426614174001
                meta:
                  key: value
                status: VALID
                last_synced_at: '2026-05-19T13:25:28.417259'
        '404':
          description: Not Found
          content:
            application/json:
              examples:
                identity-not-found:
                  summary: Couldn't find the targeted identity.
                  value:
                    message: Workspace Identity not found
                    error_label: WORKSPACE_IDENTITY_404_NOT_FOUND
                    addtional_info:
                      details: >-
                        Could not find WorkspaceIdentity that has
                        workspace_uid=123e4567-e89b-12d3-a456-426614174000 and
                        identity_uid=5678e456-e89b-12d3-a456-426614174001
                integration-not-found:
                  summary: Couldn't find the targeted integration.
                  value:
                    message: Integration not found.
                    error_label: ACCOUNT_404_NOT_FOUND
                    params:
                      details: >-
                        The provided integration does not exist. Please provide
                        a valid integration.
                      valid_integration_permalinks:
                        - linkedin
                        - dropcontact
                        - lemlist
                        - ...
                account-not-found:
                  summary: Couldn't find the targeted account.
                  value:
                    message: Account not found.
                    error_label: ACCOUNT_404_NOT_FOUND
                    params:
                      details: Could not find Account
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GenericResponse_AccountPublicModel_:
      allOf:
        - $ref: '#/components/schemas/AccountPublicModel'
      title: GenericResponse[AccountPublicModel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AccountPublicModel:
      properties:
        setup_source:
          anyOf:
            - type: string
              enum:
                - MANUAL
                - EXTENSION
                - SHARED
                - API
            - type: 'null'
          title: Setup Source
        auth_method:
          anyOf:
            - type: string
              enum:
                - BASIC
                - OAUTH
                - COOKIES
                - APIKEY
            - type: 'null'
          title: Auth Method
        is_shared:
          type: boolean
          title: Is Shared
          default: false
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        uid:
          type: string
          format: uuid
          title: Uid
        integration_permalink:
          anyOf:
            - type: string
            - type: 'null'
          title: Integration Permalink
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        level:
          anyOf:
            - type: string
            - type: 'null'
          title: Level
        user_uid:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Uid
        identity_uid:
          type: string
          format: uuid
          title: Identity Uid
        meta:
          anyOf:
            - $ref: '#/components/schemas/IntegrationAccountMeta'
            - type: 'null'
          title: Meta
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        status:
          type: string
          enum:
            - VALID
            - INVALID
            - PENDING
            - LIMIT_REACHED
          title: Status
        last_synced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Synced At
      type: object
      required:
        - identity_uid
        - status
      title: AccountPublicModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IntegrationAccountMeta:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        id:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          title: Id
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        profile_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Image Url
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        emails:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Emails
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        phones:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Phones
      type: object
      title: IntegrationAccountMeta
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key required for authentication. Add your API key in the X-API-Key
        header.

````